[Pkg-voip-commits] r4228 - in asterisk/branches/sarge/debian: . patches

paravoid at alioth.debian.org paravoid at alioth.debian.org
Thu Aug 23 00:37:30 UTC 2007


Author: paravoid
Date: 2007-08-23 00:37:30 +0000 (Thu, 23 Aug 2007)
New Revision: 4228

Added:
   asterisk/branches/sarge/debian/patches/30_debian-zaptel.dpatch
Modified:
   asterisk/branches/sarge/debian/changelog
   asterisk/branches/sarge/debian/patches/00list
Log:
* Non-maintainer upload by the Security Team
* Reverted most of debian/patches/08_debian-zaptel.dpatch due to a
  changed location of zaptel.h [debian/patches/30_debian-zaptel.dpatch]

Modified: asterisk/branches/sarge/debian/changelog
===================================================================
--- asterisk/branches/sarge/debian/changelog	2007-08-23 00:36:14 UTC (rev 4227)
+++ asterisk/branches/sarge/debian/changelog	2007-08-23 00:37:30 UTC (rev 4228)
@@ -1,3 +1,11 @@
+asterisk (1:1.0.7.dfsg.1-2sarge2) stable-security; urgency=high
+
+  * Non-maintainer upload by the Security Team
+  * Reverted most of debian/patches/08_debian-zaptel.dpatch due to a
+    changed location of zaptel.h [debian/patches/30_debian-zaptel.dpatch]
+
+ -- Martin Schulze <joey at infodrom.org>  Thu, 27 Apr 2006 12:12:59 +0200
+
 asterisk (1:1.0.7.dfsg.1-2sarge1) stable-security; urgency=high
 
   * Non-maintainer upload by the Security Team

Modified: asterisk/branches/sarge/debian/patches/00list
===================================================================
--- asterisk/branches/sarge/debian/patches/00list	2007-08-23 00:36:14 UTC (rev 4227)
+++ asterisk/branches/sarge/debian/patches/00list	2007-08-23 00:37:30 UTC (rev 4228)
@@ -12,5 +12,6 @@
 95_conf_sample.dpatch
 98_fpm-sounds.dpatch
 08_debian-zaptel.dpatch
+30_debian-zaptel.dpatch
 99_CVE-2005-3559.dpatch
 99_CVE-2006-1827.dpatch

Added: asterisk/branches/sarge/debian/patches/30_debian-zaptel.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/30_debian-zaptel.dpatch	                        (rev 0)
+++ asterisk/branches/sarge/debian/patches/30_debian-zaptel.dpatch	2007-08-23 00:37:30 UTC (rev 4228)
@@ -0,0 +1,207 @@
+#! /bin/sh -e
+## 30_debian-zaptel.dpatch by Joey Schulze <joey at infodrom.org>
+##
+## DP: Reverted most of the old patch for asterisk to use installed zaptel
+## DP: due to a changed location of zaptel.h
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/Makefile asterisk-1.0.7.dfsg.1/Makefile
+--- asterisk-1.0.7.dfsg.1.orig/Makefile	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/Makefile	2006-04-27 12:05:44.000000000 +0200
+@@ -124,7 +124,8 @@ endif
+ #Uncomment this to use the older DSP routines
+ #CFLAGS+=-DOLD_DSP_ROUTINES
+ 
+-CFLAGS+=$(shell if [ -f /usr/src/modules/zaptel/zaptel.h ]; then echo "-DZAPTEL_OPTIMIZATIONS"; fi)
++CFLAGS+=$(shell if [ -f /usr/include/linux/zaptel.h ]; then echo "-DZAPTEL_OPTIMIZATIONS"; fi)
++CFLAGS+=$(shell if [ -f /usr/local/include/zaptel.h ]; then echo "-DZAPTEL_OPTIMIZATIONS"; fi)
+ 
+ LIBEDIT=-Leditline -ledit
+ 
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/apps/Makefile asterisk-1.0.7.dfsg.1/apps/Makefile
+--- asterisk-1.0.7.dfsg.1.orig/apps/Makefile	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/apps/Makefile	2006-04-27 12:07:01.000000000 +0200
+@@ -39,7 +39,8 @@ APPS+=app_sql_postgres.so
+ #APPS+=app_sql_odbc.so
+ #APPS+=app_rpt.so
+ 
+-APPS+=$(shell if [ -f /usr/src/modules/zaptel/zaptel.h ]; then echo "app_zapras.so app_meetme.so app_flash.so app_zapbarge.so app_zapscan.so" ; fi)
++APPS+=$(shell if [ -f /usr/include/linux/zaptel.h ]; then echo "app_zapras.so app_meetme.so app_flash.so app_zapbarge.so app_zapscan.so" ; fi)
++APPS+=$(shell if [ -f /usr/local/include/zaptel.h ]; then echo "app_zapras.so app_meetme.so app_flash.so app_zapbarge.so app_zapscan.so" ; fi)
+ APPS+=$(shell if [ -f /usr/include/osp/osp.h ]; then echo "app_osplookup.so" ; fi)
+ 
+ CFLAGS+=-fPIC -DPIC
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/apps/app_flash.c asterisk-1.0.7.dfsg.1/apps/app_flash.c
+--- asterisk-1.0.7.dfsg.1.orig/apps/app_flash.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/apps/app_flash.c	2006-04-27 12:07:37.000000000 +0200
+@@ -22,7 +22,7 @@
+ #include <asterisk/options.h>
+ #include <sys/ioctl.h>
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/apps/app_meetme.c asterisk-1.0.7.dfsg.1/apps/app_meetme.c
+--- asterisk-1.0.7.dfsg.1.orig/apps/app_meetme.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/apps/app_meetme.c	2006-04-27 12:07:37.000000000 +0200
+@@ -33,7 +33,7 @@
+ #include <sys/ioctl.h>
+ 
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/apps/app_rpt.c asterisk-1.0.7.dfsg.1/apps/app_rpt.c
+--- asterisk-1.0.7.dfsg.1.orig/apps/app_rpt.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/apps/app_rpt.c	2006-04-27 12:07:37.000000000 +0200
+@@ -135,7 +135,7 @@ enum {DLY_TELEM, DLY_ID, DLY_UNKEY, DLY_
+ #include <sys/io.h>
+ #include <math.h>
+ #include <tonezone.h>
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ 
+ static  char *tdesc = "Radio Repeater / Remote Base  version 0.17  09/13/2004";
+ static char *app = "Rpt";
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/apps/app_zapbarge.c asterisk-1.0.7.dfsg.1/apps/app_zapbarge.c
+--- asterisk-1.0.7.dfsg.1.orig/apps/app_zapbarge.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/apps/app_zapbarge.c	2006-04-27 12:07:37.000000000 +0200
+@@ -34,7 +34,7 @@
+ #include <sys/ioctl.h>
+ 
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/apps/app_zapras.c asterisk-1.0.7.dfsg.1/apps/app_zapras.c
+--- asterisk-1.0.7.dfsg.1.orig/apps/app_zapras.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/apps/app_zapras.c	2006-04-27 12:07:37.000000000 +0200
+@@ -36,7 +36,7 @@
+ 
+ /* Need some zaptel help here */
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/apps/app_zapscan.c asterisk-1.0.7.dfsg.1/apps/app_zapscan.c
+--- asterisk-1.0.7.dfsg.1.orig/apps/app_zapscan.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/apps/app_zapscan.c	2006-04-27 12:07:37.000000000 +0200
+@@ -35,7 +35,7 @@
+ #include <sys/ioctl.h>
+ 
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/channel.c asterisk-1.0.7.dfsg.1/channel.c
+--- asterisk-1.0.7.dfsg.1.orig/channel.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/channel.c	2006-04-27 12:07:37.000000000 +0200
+@@ -42,7 +42,7 @@
+ #ifdef ZAPTEL_OPTIMIZATIONS
+ #include <sys/ioctl.h>
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/channels/Makefile asterisk-1.0.7.dfsg.1/channels/Makefile
+--- asterisk-1.0.7.dfsg.1.orig/channels/Makefile	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/channels/Makefile	2006-04-27 12:08:48.000000000 +0200
+@@ -80,7 +80,8 @@ CFLAGS+=$(shell [ -f /usr/lib/libmfcr2.s
+ CFLAGS+=$(shell [ -f alsa-monitor.h ] && echo " -DALSA_MONITOR")
+ ZAPPRI=$(shell [ -f /usr/lib/libpri.so.1 ] && echo "-lpri")
+ ZAPR2=$(shell [ -f /usr/lib/libmfcr2.so.1 ] && echo "-lmfcr2")
+-CFLAGS+=$(shell [ -f /usr/src/modules/zaptel/zaptel.h ] && echo "-DIAX_TRUNKING")
++CFLAGS+=$(shell [ -f /usr/include/linux/zaptel.h ] && echo "-DIAX_TRUNKING")
++CFLAGS+=$(shell [ -f /usr/local/include/zaptel.h ] && echo "-DIAX_TRUNKING")
+ CHANNEL_LIBS+=$(shell [ -f /usr/include/vpbapi.h ] && echo "chan_vpb.so" )
+ CFLAGS+=$(shell [ -f /usr/include/vpbapi.h ] && echo " -DLINUX")
+ 
+@@ -102,7 +103,8 @@ CFLAGS+=#-DVOFRDUMPER
+ 
+ ZAPDIR=/usr/lib
+ 
+-CHANNEL_LIBS+=$(shell [ -f /usr/src/modules/zaptel/zaptel.h ] && echo "chan_zap.so")
++CHANNEL_LIBS+=$(shell [ -f /usr/include/linux/zaptel.h ] && echo "chan_zap.so")
++CHANNEL_LIBS+=$(shell [ -f /usr/local/include/zaptel.h ] && echo "chan_zap.so")
+ 
+ CHANNEL_LIBS+=$(shell [ -f /usr/include/nbs.h ] && echo "chan_nbs.so" )
+ 
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/channels/chan_iax2.c asterisk-1.0.7.dfsg.1/channels/chan_iax2.c
+--- asterisk-1.0.7.dfsg.1.orig/channels/chan_iax2.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/channels/chan_iax2.c	2006-04-27 12:08:48.000000000 +0200
+@@ -60,7 +60,7 @@
+ #ifdef IAX_TRUNKING
+ #include <sys/ioctl.h>
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/channels/chan_zap.c asterisk-1.0.7.dfsg.1/channels/chan_zap.c
+--- asterisk-1.0.7.dfsg.1.orig/channels/chan_zap.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/channels/chan_zap.c	2006-04-27 12:08:48.000000000 +0200
+@@ -50,7 +50,7 @@
+ #include <unistd.h>
+ #include <sys/ioctl.h>
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/res/Makefile asterisk-1.0.7.dfsg.1/res/Makefile
+--- asterisk-1.0.7.dfsg.1.orig/res/Makefile	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/res/Makefile	2006-04-27 12:08:48.000000000 +0200
+@@ -20,7 +20,8 @@ MODS+=$(shell if [ -f "/usr/include/osp/
+ CRYPTO_LIBS=-lssl -lcrypto
+ 
+ CFLAGS+=-fPIC -DPIC
+-CFLAGS+=$(shell [ -f /usr/src/modules/zaptel/zaptel.h ] && echo " -DZAPATA_MOH")
++CFLAGS+=$(shell [ -f /usr/include/linux/zaptel.h ] && echo " -DZAPATA_MOH")
++CFLAGS+=$(shell [ -f /usr/local/include/zaptel.h ] && echo " -DZAPATA_MOH")
+ #
+ # Work around buggy RedHat 9.0
+ #
+diff -u -p -Nr --exclude CVS asterisk-1.0.7.dfsg.1.orig/res/res_musiconhold.c asterisk-1.0.7.dfsg.1/res/res_musiconhold.c
+--- asterisk-1.0.7.dfsg.1.orig/res/res_musiconhold.c	2006-04-27 12:01:54.000000000 +0200
++++ asterisk-1.0.7.dfsg.1/res/res_musiconhold.c	2006-04-27 12:08:48.000000000 +0200
+@@ -38,7 +38,7 @@
+ #include <dirent.h>
+ #ifdef ZAPATA_MOH
+ #ifdef __linux__
+-#include "/usr/src/modules/zaptel/zaptel.h"
++#include <linux/zaptel.h>
+ #else
+ #include <zaptel.h>
+ #endif /* __linux__ */




More information about the Pkg-voip-commits mailing list